
Infrastructure - Task #2708

Story # 1791 (Closed): Create secure configuration for LDAP replication across various deployment Environments

Edit syncrepl configuration in cn-buildout to use TLS

2012-05-07 19:32 - Ben Leinfelder

Status: Closed Start date: 2012-05-07

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2012.19-Block.3.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

In addition to general slapd.conf TLS configuration, the syncrepl section[s] need to be modified.

"when using syncrepl with TLS and a URL of ldap://hostname/ the parameter starttls=yes or starttls=critical MUST be defined"

http://www.zytrax.com/books/ldap/ch15/#tls

History

#1 - 2012-05-07 19:40 - Ben Leinfelder

- Status changed from New to In Progress

- Assignee set to Ben Leinfelder

edited slapd.conf and postinst

#2 - 2012-05-07 20:25 - Ben Leinfelder

- Status changed from In Progress to Closed

#3 - 2012-05-17 04:40 - Ben Leinfelder

- Status changed from Closed to In Progress

Still not working - trying more config options in syncrepl

#4 - 2012-05-17 05:50 - Ben Leinfelder

added tls_cert, tls_key and tls_cacert params to the syncrepl lines and now I get successful replication

#5 - 2012-05-17 05:50 - Ben Leinfelder

- Status changed from In Progress to Closed
